Name:           ghex
Version:        2.8.2
Release:        4%{?dist}

Summary:        Binary editor for GNOME

Group:          Applications/Editors
License:        GPL
URL:            http://www.gnome.org/softwaremap/projects/ghex
Source0:        http://ftp.gnome.org/pub/GNOME/sources/ghex/2.8/ghex-2.8.2.tar.bz2
Patch0:         ghex-no-scrollkeeper.patch
Patch1:		ghex-search-crash.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeui-devel
BuildRequires:  libgnomeprintui22-devel
BuildRequires:  gail-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  scrollkeeper
BuildRequires:  perl-XML-Parser
Requires(post): GConf2
Requires(post): scrollkeeper
Requires(post): /sbin/ldconfig
Requires(postun): GConf2
Requires(postun): scrollkeeper
Requires(postun): /sbin/ldconfig

%description
GHex allows the user to load data from any file, view and edit it in
either hex or ascii. A must for anyone playing games that use
non-ascii format for saving.

%package        devel
Summary:        Static library and include files for ghex
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel
Requires:       gail-devel

%description    devel
This package contains a static library and include files for ghex.


%prep
%setup -q
%patch0 -p1 -b .noscrollkeeper
%patch1 -b .searchcrash

%build
%configure
make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install \
  --delete-original                                        \
  --vendor fedora                                          \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications            \
  --add-category X-Fedora                                  \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}-2.0


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :
scrollkeeper-update -q


%postun
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null || :
scrollkeeper-update -q


%files -f %{name}-2.0.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING-DOCS ChangeLog README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/gnome/help/*
%{_datadir}/omf/*
%{_datadir}/pixmaps/*
%{_datadir}/gnome-2.0/ui/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gtkhex
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Aug 29 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 2.8.2-4
- Add BR perl-XML-Parser

* Tue Aug 29 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 2.8.2-3
- Rebuild for devel

* Wed Aug 09 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> 2.8.2-2
- apply ghex-search-crash.patch from b.g.o #339055 -- fixes #175957 

* Sat Jul 15 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> 2.8.2-1
- Update to 2.8.2
- Don't use the libtool worksaroung anymore
- Rename ghex-2.8.0-no-scrollkeeper.patch to
  ghex-no-scrollkeeper.patch and and update it

* Mon Feb 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info>
- Rebuild for Fedora Extras 5

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Jan 09 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.8.1-2
- Use make param LIBTOOL=/usr/bin/libtool instead autoreconf -- fixes x86_64
  build

* Mon Dec 27 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2.8.1-1
- Update to 2.8.1
- recreate autoconf & co data during pre; fixes build issues on x86_64

* Tue Dec 21 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.8.0-3
- Ran into the incomplete-removal-of-epoch trap. Fixed that.

* Wed Nov 10 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.8.0-2
- Add patch to prevent scrollkeeper-updates during %%install.
- Drop Epoch.

* Sun Oct 17 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.8.0-0.fdr.1
- Updated to 2.8.0.

* Fri Jun  4 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.6.1-0.fdr.1
- Updated to 2.6.1.
- Reenabled parallel make (fixed upstream).

* Mon May 17 2004 Mark A. Fonnemann <m.fonneman.n@bc.edu> - 0:2.6.0-0.fdr.1
- Updated to 2.6.0.
- Divided Requires(post, postun) into Requires(post) and Requires(postun) (thanks, Michael Schwendt).
- Added gtk2-devel and gail-devel to build requirements (thanks, Michael).
- Changed {_datadir}/path to {_datadir}/path/* (thanks again, Michael).

* Thu Oct 23 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.4.0.1-0.fdr.4
- Reverted previous change.
- Disabled parallell make.
- Added build req scrollkeeper.

* Sat Oct 11 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.4.0.1-0.fdr.3
- Remove sr@Latn locale from desktop file if old desktop-file-install.

* Thu Oct  9 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.4.0.1-0.fdr.2
- Post req GConf2.
- Split out devel package.
- Added URL.

* Wed Sep 24 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:2.4.0.1-0.fdr.1
- Initial RPM release.
